All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
AbsDiff
Arithmetic Operations

Pixel by pixel absolute difference between two images. More...

## Functions

NppStatus | nppiAbsDiff_8u_C1R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 8-bit unsigned char channel absolute difference of image1 minus image2. More...
NppStatus | nppiAbsDiff_8u_C1R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbsDiff_8u_C3R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Three 8-bit unsigned char channels absolute difference of image1 minus image2. More...
NppStatus | nppiAbsDiff_8u_C3R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbsDiff_8u_C4R_Ctx (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Four 8-bit unsigned char channels absolute difference of image1 minus image2. More...
NppStatus | nppiAbsDiff_8u_C4R (const Npp8u *pSrc1, int nSrc1Step, const Npp8u *pSrc2, int nSrc2Step, Npp8u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbsDiff_16u_C1R_Ctx (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit unsigned short channel absolute difference of image1 minus image2. More...
NppStatus | nppiAbsDiff_16u_C1R (const Npp16u *pSrc1, int nSrc1Step, const Npp16u *pSrc2, int nSrc2Step, Npp16u *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbsDiff_16f_C1R_Ctx (const Npp16f *pSrc1, int nSrc1Step, const Npp16f *pSrc2, int nSrc2Step, Npp16f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 16-bit floating point channel absolute difference of image1 minus image2. More...
NppStatus | nppiAbsDiff_16f_C1R (const Npp16f *pSrc1, int nSrc1Step, const Npp16f *pSrc2, int nSrc2Step, Npp16f *pDst, int nDstStep, NppiSize oSizeROI)
NppStatus | nppiAbsDiff_32f_C1R_Ctx (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp32f *pDst, int nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| One 32-bit floating point channel absolute difference of image1 minus image2. More...
NppStatus | nppiAbsDiff_32f_C1R (const Npp32f *pSrc1, int nSrc1Step, const Npp32f *pSrc2, int nSrc2Step, Npp32f *pDst, int nDstStep, NppiSize oSizeROI)

## Detailed Description

Pixel by pixel absolute difference between two images.

## Function Documentation

NppStatus nppiAbsDiff_16f_C1R | ( | const Npp16f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbsDiff_16f_C1R_Ctx | ( | const Npp16f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit floating point channel absolute difference of image1 minus image2.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbsDiff_16u_C1R | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbsDiff_16u_C1R_Ctx | ( | const Npp16u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp16u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 16-bit unsigned short channel absolute difference of image1 minus image2.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbsDiff_32f_C1R | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbsDiff_32f_C1R_Ctx | ( | const Npp32f * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp32f * | pSrc2,
|  | int | nSrc2Step,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 32-bit floating point channel absolute difference of image1 minus image2.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbsDiff_8u_C1R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbsDiff_8u_C1R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One 8-bit unsigned char channel absolute difference of image1 minus image2.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbsDiff_8u_C3R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbsDiff_8u_C3R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three 8-bit unsigned char channels absolute difference of image1 minus image2.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus nppiAbsDiff_8u_C4R | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiAbsDiff_8u_C4R_Ctx | ( | const Npp8u * | pSrc1,
|  | int | nSrc1Step,
|  | const Npp8u * | pSrc2,
|  | int | nSrc2Step,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four 8-bit unsigned char channels absolute difference of image1 minus image2.

Parameters

  pSrc1 | Source-Image Pointer.
  nSrc1Step | Source-Image Line Step.
  pSrc2 | Source-Image Pointer.
  nSrc2Step | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2019 NVIDIA Corporation